Wallets

Create a new Wallet

POST
/wallets

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/wallets" \  -H "Content-Type: application/json" \  -d '{}'
{  "walletId": "string",  "methodId": "string",  "method": {    "methodId": "string",    "name": "string",    "provider": "string",    "createTime": "2019-08-24T14:15:22Z",    "updateTime": "2019-08-24T14:15:22Z",    "uuid": "string"  },  "number": "string",  "currencyCode": "string",  "currencyPrecision": 0,  "currencySign": "string",  "totalPaymentAmount": "string",  "userId": "string",  "profileId": "string",  "createTime": "2019-08-24T14:15:22Z",  "updateTime": "2019-08-24T14:15:22Z",  "uuid": "string"}
{  "message": "string",  "errors": {    "property1": [      "string"    ],    "property2": [      "string"    ]  }}
{  "message": "string",  "errors": {    "property1": [      "string"    ],    "property2": [      "string"    ]  }}
{  "message": "string",  "errors": {    "property1": [      "string"    ],    "property2": [      "string"    ]  }}
{  "message": "string",  "errors": {    "property1": [      "string"    ],    "property2": [      "string"    ]  }}